package com.bocloud.cmp.provider.network;

import com.bocloud.cmp.model.LbTargetGroupModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

import java.util.Map;

/**
 * 负载均衡-群组目标
 */
public interface TargetProvider extends SuperProvider {
    /**
     * 群组目标列表
     *
     * @return
     */
    default BocloudResult list(LbTargetGroupModel groupModel, Map<String, String> serverZoneMap) {
        return new BocloudResult(false, "暂未开发！");
    }

    default BocloudResult detail(String targetGroupArn, String id, Integer port) {
        return new BocloudResult(false, "暂未开发！");
    }
}
